package com.steerinfo.ems.tcm0312.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class TCm0312 implements IBasePO<String> {
    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录ID",required=false)
    private String recordid;

    /**
     * 制定年度(CREATYEAR,VARCHAR,40)
     */
    @ApiModelProperty(value="制定年度",required=true)
    private String creatyear;

    /**
     * 监测部门(DETECTIONDEPARTMENT,VARCHAR,400)
     */
    @ApiModelProperty(value="监测部门",required=true)
    private String detectiondepartment;

    /**
     * 监测点名称(POWERMONITORNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="监测点名称",required=true)
    private String powermonitorname;

    /**
     * 监测频次(DETECTIONF,VARCHAR,400)
     */
    @ApiModelProperty(value="监测频次",required=true)
    private String detectionf;

    /**
     * 标准指标下限(LOWERLIMIT,DECIMAL,30)
     */
    @ApiModelProperty(value="标准指标下限",required=true)
    private Double lowerlimit;

    /**
     * 备注(NOTE,VARCHAR,4000)
     */
    @ApiModelProperty(value="备注",required=true)
    private String note;

    /**
     * 监测项目(SITEM,VARCHAR,4000)
     */
    @ApiModelProperty(value="监测项目",required=true)
    private String sitem;

    /**
     * 系统名称(SYSTEMNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="系统名称",required=true)
    private String systemname;

    /**
     * 单位(UNIT,VARCHAR,400)
     */
    @ApiModelProperty(value="单位",required=true)
    private String unit;

    /**
     * 标准指标上限(UPPERLIMIT,DECIMAL,30)
     */
    @ApiModelProperty(value="标准指标上限",required=true)
    private Double upperlimit;

    /**
     * 时间粒度(TIMEGRANID,VARCHAR,40)
     */
    @ApiModelProperty(value="时间粒度",required=true)
    private String timegranid;

    /**
     * 数据来源(DATASOURCE,VARCHAR,255)
     */
    @ApiModelProperty(value="数据来源",required=true)
    private String datasource;

    /**
     * 创建人(CREATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="创建人",required=true)
    private String createman;

    /**
     * 创建时间(CREATETIME,DATE,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="修改人",required=true)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,DATE,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date updatetime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.recordid;
    }

    @Override
    public void setId(String recordid) {
        this.recordid = recordid == null ? null :recordid.trim();
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null :recordid.trim();
    }

    public String getCreatyear() {
        return creatyear;
    }

    public void setCreatyear(String creatyear) {
        this.creatyear = creatyear == null ? null : creatyear.trim();
    }

    public String getDetectiondepartment() {
        return detectiondepartment;
    }

    public void setDetectiondepartment(String detectiondepartment) {
        this.detectiondepartment = detectiondepartment == null ? null : detectiondepartment.trim();
    }

    public String getDetectionf() {
        return detectionf;
    }

    public void setDetectionf(String detectionf) {
        this.detectionf = detectionf == null ? null : detectionf.trim();
    }

    public String getPowermonitorname() {
        return powermonitorname;
    }

    public void setPowermonitorname(String powermonitorname) {
        this.powermonitorname = powermonitorname == null ? null : powermonitorname.trim();
    }

    public Double getLowerlimit() {
        return lowerlimit;
    }

    public void setLowerlimit(Double lowerlimit) {
        this.lowerlimit = lowerlimit;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public String getSitem() {
        return sitem;
    }

    public void setSitem(String sitem) {
        this.sitem = sitem == null ? null : sitem.trim();
    }

    public String getSystemname() {
        return systemname;
    }

    public void setSystemname(String systemname) {
        this.systemname = systemname == null ? null : systemname.trim();
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit == null ? null : unit.trim();
    }

    public Double getUpperlimit() {
        return upperlimit;
    }

    public void setUpperlimit(Double upperlimit) {
        this.upperlimit = upperlimit;
    }

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid == null ? null : timegranid.trim();
    }

    public String getDatasource() {
        return datasource;
    }

    public void setDatasource(String datasource) {
        this.datasource = datasource == null ? null :datasource.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", recordid=").append(recordid);
        sb.append(", creatyear=").append(creatyear);
        sb.append(", detectiondepartment=").append(detectiondepartment);
        sb.append(", detectionf=").append(detectionf);
        sb.append(", lowerlimit=").append(lowerlimit);
        sb.append(", note=").append(note);
        sb.append(", powermonitorname=").append(powermonitorname);
        sb.append(", sitem=").append(sitem);
        sb.append(", systemname=").append(systemname);
        sb.append(", unit=").append(unit);
        sb.append(", upperlimit=").append(upperlimit);
        sb.append(", timegranid=").append(timegranid);
        sb.append(", datasource=").append(datasource);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}